TAAS - Feature #381

Collection
10/07/2024 05:08 PM - Junaid M

Status: Reopen Bugs Coding Done Start date: 10/07/2024
Priority: Normal Due date:

Assignee: Vivekp V % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Collection

Description

History

#1 - 10/15/2024 12:07 PM - Anil KV

- Assignee changed from travvise Admin to Vivekp V

#2 - 10/16/2024 04:27 PM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

#3 - 10/21/2024 07:00 PM - Vivekp V
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#4 - 10/22/2024 10:24 AM - Vivekp V

1. doc name CLN

2. show note tab only if after save that is when document id present

3. if branch from overdue list is all select then show "ALL"

4. collection status like Document Note Status

5.showing only outstanding debit

6. do not reuse the same bill submission and bill period for collection doc

#5 - 10/28/2024 07:42 PM - Vivekp V
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

coding done

#6 - 11/08/2024 10:32 AM - Theja Ponon
- File clipboard-202411081026-k2jap.png added
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

issue found

1.filter and search icon ,export pdf in the grid are not working
2.due date cannot cant be previous date

3.responsible user and the arrow should place little above
4.responsible user is not seen in edit mode if given

in document note created by is not updating in the grid
avvise Collection

L SOLUTION PVT LTD

Master MNote

Group By | Ng Grouping h
Subject Status Reference No Note
No Status nhjoooooo00o000:

#7 - 11/08/2024 05:45 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

issue FIXED

1.filter and search icon ,export pdf in the grid are not working
2.due date cannot cant be previous date

3.responsible user and the arrow should place little above
4.responsible user is not seen in edit mode if given

in document note created by is not updating in the grid

#8 - 11/12/2024 11:21 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#9 - 11/12/2024 11:29 AM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FIXED

1)GROUPING IS NOT WORKING

#10 - 11/12/2024 01:39 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#11 - 11/12/2024 02:49 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#12 - 11/12/2024 03:28 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#13 - 11/12/2024 05:44 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. While saving data due date changes to bill period end date.
2. Ticket voucher icon -- > ticket/voucher note.

#14 - 11/14/2024 10:52 AM - Vivekp V

05/03/2025

+ MNew Note

0000000
Created By

0
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#15 - 11/14/2024 02:28 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FIXED

1)RESPONSIBLE EMPLOYEE FIELD IS NOT GIVING SUGGESTIONS ON ENTRY

#16 - 11/14/2024 05:45 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#17 - 11/15/2024 11:09 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1)CANT ADD RESPONSIBLE EMPLOYEE

NEW CHANGES Done

Add Status Selectbox values -> (Above Legal Action Start)
Next Level Process Start

Next Level Processing

Next Level Process Completed

#18 - 11/17/2024 01:04 PM - Vivekp V

- Status changed from Reopen Bugs to New Changes

#19 - 11/19/2024 09:42 AM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#20 - 11/19/2024 11:04 AM - Junaid M
NEW CHANGES

Collection GUI Changes

—> Status loading from Collection Status GUI

—>Master Change after Modified By:

—Add Posting Status Also

— Penalty Amount Checkbox+Inputbox (Grouping)

*Checkbox Tick Means Enter the Amount is Penalty Otherwise List Total

*Default Tick/Untick based on 'Set Payment Due Penalty->Each Invoice Wise' (OFF then Tick)
*Untick Case showing - List Penalty Amount

-List Penalty Amount: 0.00

—-> Split Column 'Outstanding'-> 'Outstanding' | 'Current Outstanding'

—> Add Column 'Penalty Amount' (Allow to Edit), 'Over Due Days' after 'Current Outstanding'
—Need Total

—>Keep Details in table

—doc id, sub doc id, currency, Outstanding amount, 'Penalty Amount', 'Over Due Days'
—->Add 'Refresh' button in List Hededer - Title 'Re Caculate All Penalty Amounts'

->Add 'Set 0' button in List Hededer - Title 'Set 0 All Penalty Amounts'

—>Keet Total Penalty Amount and Checkbox in Master table

->Posting

— If not posting Penalty Amount is 0
— 'Payment Due Penalty Amount Credit Income Account (Collection)' In mapping Account

05/03/2025
Party Ac Debit
Income Ac Credit

Imp:—
—->Saved Documnent (Dr) Showing Edit Mode in list

->If commes new then show also In List

-> Add a Tab 'Status'
# | Date | Ststus | Remarks | Resposible User | Credated By (User + Date time)

Ref #423

#21 - 11/19/2024 11:04 AM - Junaid M
- Status changed from New Changes Coding Done to New Changes

- % Done changed from 70 to 50

#22 - 12/04/2024 11:36 AM - Arathy PS

- Status changed from New Changes to Reopen Bugs

#23 - 01/02/2025 02:30 PM - Arathy PS
- File clipboard-202501021430-7moof.png added

ISSUE FOUND

1. On clicking the go to collection icon from overdue list again after saving a collection it can be saved as a new collection.
2. Wrong data on overdue days column

Travvise Collection
Master | Status  Note
DocNe | CLN/0OOT Date” | 03/01/2025 [ I Customer €US002:: MOHAMMED AKBAR
Branch | BROOT: Main ~ Branch Al
Depariment | DPOOT: Account “ Department Al
x 8 posting
Reference Bil Submission Fortnight
Naration Bill Period 01/01/2025 - 140172025
= Payment Terms Same Fortnight Based On Transaction Date ?
Status | o Status - Attachment
Payment Date 15/01/2025
Posting Status™ . v ey
Active ! Grace Days 0
: - Due Date” | g
Responsible User ue Date” | qq o] S 150172025
Penalty Amount In USD Over Due Days 12
wt [3 Currency AR
Penalty Amount In QAR Due Amount 2420.00
Created By:  Administrator(02/01/2025 12:12 PM) Documents Showing Only Outstanding Debit
Modified By: ~ Administrator(02/01/2025 12118 PM)IZ]
Group BY | No Grouping v oz seo T Q 2 @

Date Doc No Ticket/Voucher Amount (D) Outstanding ~ Current Qutstanding Penalty Amount | | Over Due Days Balance | Reference Narration

02/01/2025 INV/004 T2 1210.00 1210.00 121000 1210.00 121000 121000 Q Q

02/01/2025 INV/004 /002 121000 121000 121000 121000 121000 242000 [=W'e)

Total QAR 2420.00 QAR 2420.00 QAR 3630.00

#24 - 01/16/2025 07:01 PM - Arathy PS

Forwarded from vivek

NEW CHANGES

1. Add a Input box above customer for document submission no:

and on its focus out add if there is already a collection document then load it otherwise load details of the customer and the documents from
document submission for creating a collection document.

--if the document is not overdue as per the date then ask whether you want to create collection even though its not overdue.

#25 - 02/12/2025 11:05 AM - Arathy PS
- File clipboard-202502121029-11ocm.png added

ISSUE FIXED

1. Can save same collection in two dates in two tabs.
2. Wrong over due days.
Collection

Master | Status
Doc N Date”
eene ot | OVO/2025 o0 Submission Doc S3M/002
Branch® . v
BRODT: Mein Customer CUS001:: PAYMENT TERM CUSTOMER CHECK
Department” "
epartment” | DPOO1:; Account v — an
Reference Department All
Narration y Bill Submission Monthly/Month
Status o Bill Period 01/01/2025 - 31/01/2025
. . Payment Terms Within Next Fortnight Based On Submission Date
osting Status® | Active v By
Payment Date 15/02/2025
Responsible User ~ DueDate™ /iy ) T
Grace Days 0
Penalty Amount In QAR 000
Due Date 15/02/2025
Created By
Over Due Days 2
Modified By:
Currency QAR
Document Due Amount 4000.00
Current Due Amount 4000.00
Documents Showing Only Outstanding Debit
Collection Pending Documents Group By No Grouping ~ & | seto Y Q 2 @
Date Doc No Ticket/Voucher Amount (D) Outstanding | Current Outstanding Penalty Amount | Over Due Days Balance Reference Narration
010172025 | INV/002 1001 400000 400000 400000 000 0 400000 [SN'e) ;
Total QAR 4000.00 QAR 4000.00 QAR 4000.00 QAR0.00 QAR 4000.00

3. When an invalid document submission no: is entered after a valid doc submission no: data in the table is not clearing.

#26 - 02/14/2025 09:21 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#27 - 02/26/2025 04:25 PM - Theja Ponon

- File clipboard-202502261532-8qfae.png added

- File clipboard-202502261538-zeth3.png added

- File clipboard-202502261607-ko6oi.png added

- File clipboard-202502261609-teqi9.png added

- File clipboard-202502261610-dga6x.png added

- File clipboard-202502261615-mkmpb.png added

- File clipboard-202502261624-116g1.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)On deleting a collection FIXEd

update or delete on table "thl_collection_action” violates foreign key constraint
"tbl_collection_action_details_fk_collection_action_id_fkey" on table *tb|_collection_action_details"

Delete Reason®  ssd

& Close W Delete

2)values in fields are missing after saving FIXED problem in Submission
Collection

Master =~ Status  Note

DocNo | CLN/0O1 Date™ | 26/02/2025

Branch®  BROOZ: Branch

Department”  DPO01: Account

Reference

Narration

Status

Posting Status” A ctive

Respansible User ~

Due Date* | ga/him

Penalty Amount In QAR 0

Created By:  Administrator(26/02/2025 03:17 PM)

Modified By:

Collection Pending Documents

Date Doc No

26/02/2025

3)currency disappear on updation FIXED problem in Submission

Ticket/Voucher Amount (Dr)

o

Qutstanding

GroupBy ' No Grouping

Current Qutstanding

Submission Doc
Customer

Branch

Department

Bill Submission

8ill Period

Payment Terms
Payment Date

Grace Days

Due Date

Over Due Days
Currency

Document Due Amount
Current Due Amount

Documents

o | Set0

Penalty Amount

o

SBM/013

Al

Al

01/02/2025 - 28/02/2025

27/02/2025

0

27/02/2025

Showing Only Outstanding Debit

Over Due Days Balance | Reference

0 1100

4)data in grid and sidebox are removing on changing the submission doc number FIXED problem in Submission

No Data Found.
Master

Doc No

Branch*

Department*

Reference

Narration

Status

Posting Status™

Respansible User =

Penalty Amount In QAR

Created By:
Modified By:

Collection Pending Documents

Date Doc No

Collection

Date™ | 26/02/2025
BROO1:: Main

DP001: Account

Active

Due Date™ | do/MM/yyyy

vy

0.00

Ticket/Voucher Amount (Dr) Outstanding

Current Outstanding

Group By No Grouping

Submission Doc

Customer
Branch
Department
Bill Submission
Bl Period
Payment Terms
Payment Date
Grace Days
Due Date

Over Due Days
Currency
Document Due Amount

Current Due Amount

Documents
v | & seto
Penalty Amount | Over Due Days

No data

5)submission docs number removes after saving FIXED problem in Submission

05/03/2025

SBM/015
CUS001:: Customer
Al
Al
Monthly/Month
01/02/2025 - 28/02/2025
Within Next Fortnight Based On Submission Date
15/03/2025
[
15/03/2025

o

QAR

w

0.00

Showing Only Outstanding Debit

Balance Reference Narration

2 o

Narration

T a R e m
Master  Status  Note

Doc No

Branch*

Department”

Reference

Narration

Status

Posting Status™
Responsible Employee ~

Penaity Amount In QAR

Created By:
Moglified By:

Date Doc No

26/02/2025 | PV/001

26/02/2025  INV/004

26/02/2025 | INV/005

26/02/2025  INV/004

Total

6)Incorrect value in balance

Travvise

CLN/002
BROO1:: Main

DP001:: Account

Active
EMPOO1 | Employee
000

Administrator(26/02/2025 04:14 PM)

Ticket/Voucher Amount (Dr)
100000

TK0235 120000
HTO1 900,00
K023 150000
AR 4600.00

Collection

Date™ | 24/03/2025

Due Date®

Outstanding
100000
120000

900.00

1500.00

0AR 4600.00

27/03/2025

Submission Doc
Customer
Branch
Department

Bill Submission
Bill Period

Payment Terms

o) Payment Date

Grace Days
Due Date

Over Due Days
Currency

Document Due Amount
Current Due Amount

Documents

Group By No Grouping v 2 seto

Current Outstanding
100000
120000
900.00

1500.00

QAR 4600.00

Penalty Amount  Over Due Days

0.00 0

0.00 o

0.00 0

0.00 o
QAR 0.00

CUS0D1:: Customer

Al

Al

Monthly/Month
01/02/2025 - 28/02/2025
Within Next Fortnight Based On Submission Date
15/03/2025

[

15/03/2025

[

QAR

4600.00

4600.00

Showing Only Outstanding Debit

Balance Reference Narration
1000.00
2200.00
2100.00

460000

‘0AR 10900.00

(=]

(=7

Master ~ Status  Note

DocNe | CLN/0O2

Branch™ | BROO1:: Main

Department™  DPOO1z Account
B Reference
prt Narration
nfo Status
: Posting Status* | Active

Responsible Employee ~ | EMPOOT

Employee

Penalty AmountinQAR | @ | 0.00

Created By:  Administrator(26/02/2025 04:14 PM)

Date Doc No

26/02/2025 | PV/001

26/02/2025  INV/004

26/02/2025 | INV/005

26/02/2025  INV/004

Total

Modified By:  Administrator(26/02/2025 04:23 PM)[4]

Ticket/Voucher Amount (Dr)
1000.00

TK0235 1200.00
HTO1 900,00
TKo23 1500.00
QAR 4600.00

#28 - 02/26/2025 07:39 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#29 - 02/28/2025 11:30 AM - Arathy PS
- File clipboard-202502281130-xaam2.png added

Date”™ | 24/03/2025

Due Date*

Outstanding
1000.00
120000

200,00

1500.00

QAR 4600.00

27/03/2025

Submission Doc
Customer
Branch
Department

Bill Submission

Bill Period

Payment Terms

o Payment Date

Grace Days
Due Date

Over Due Days
Currency

Document Due Amount
Current Due Amount

Documents

Group By | Na Grouping v 2 Set0

Current Outstanding
1000.00
120000
90000

150000

QAR 4600.00

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FIXED

1. Miss matched overdue days in grid and collection data section.

05/03/2025

Penalty Amount | Over Due Days

000 0
000 0
000 0
000 0
QAR 0.00

Balance Reference

CUS001:: Customer

Al

Al

Monthly/Month
01/02/2025 - 28/02/2025
Within Next Fortnight Based On Submission Date
15/03/2025

0

15/03/2025

0

QAR

4600.00

4600.00

Showing Only Outstanding Debit

Narration
1000.00
2200.00
310000

2600.00

‘QAR 10900.00

T @ B

=}

[=7

0 000
Master
DocNo
Branch*
Department”
Reference
Narration
Status
Posting Status™

Responsible User ~

Penalty Amount In QAR
Created By:
Modified By:
Date Doc No
25/02/2025 | INV/001
27/02/2025 | INV/012
Total

Date’ | 31/03/2025 <]
BROOT: Main v
DPO0T: Account v
ref001
¥
~
Active v B
Due Date” A ]
8 o000

Group By No Grouping

Ticket/Voucher Amount (D) Qutstanding  Current Qutstanding
1000 1000.00 1000.00 1000.00
1900 900.00 900.00 900.00

QAR 1900.00 QAR 1900.00 QAR 1900.00

2.Inactive documents amount is also showing in the collection.

#30 - 03/03/2025 09:32 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#31 - 03/10/2025 11:54 AM - Arathy PS
- File clipboard-202503101152-z1mtq.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FIXED

Penalty Amount]

Submission Doc
Customer
granch
Department

Bill Submission
Bill Period
Payment Terms
Payment Date
Grace Days

Due Date

SBM/002

CUS001:: ALHAR ABDULLAH

Al

Al

Maonthly/Month

01/02/2025 - 28/02/2025

Within Next Fortnight and 5 Days Based On Submission Date
20/03/2025

0

20/03/2025

Over Due Days

1

Currency
Document Due Amount
Current Due Amount

Dacuments

v | T | seto

Over Due Days

0.00) 0
0.00) 0
QAR 0.00

QAR
1900.00
1900.00

Showing Only Outstanding Debit

Balance Reference Narration
1000.00

1900.00

QAR 2900.00

Qa B &8
2 o ’
2 o .

1. Even though we only submitted one document of a customer while submission while loading them collection non submitted documents are also

showing.

Travvise

Collection

Master
Doc No Date"
1070372023 © 8 Submission Doc
Branch® -
Customer CUS002: AAMAAL ANWAR SALAM
Department™ v
Branch Al
Reference Department Al
Narration y Bill Submission Manthly/Month
Status - Bill Period 01/03/2025 - 31/03/2025
Posting Status™ | Active s Payment Terms Within Next Fortnight Based On Submission Date
Payment Date 15/04/2025
Respansiole User = Due Date* | qd/MM/yyyy =] "
Grace Days 0
Penalty Amount In QAR 000
Due Date 15/04/2025
Created By
Over Due Days 15
Modified By:
Currency QAR
Document Due Amount 500.00
Current Due Amount 500.00
Documents Showing Only Outstanding Debit
Group BY | No Grouping v 2z | se0 Q 2 @
Date Doc No Ticket/Voucher Amount (Dr) o Current O Penalty Amount | Over Due Days Balance _Reference Narration
10/03/2025  INV/002 1100 600.00 600.00 600.00 0.00 0 600.00 (=) O ’
10/03/2025  INV/0O1 1000 50000 50000 50000 000 0 110000 [ We) ;
Total QAR 1100.00 QAR 1100.00 QAR 1100.00 QAR 0.00 QAR 1700.00

#32 - 03/10/2025 06:59 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#33 - 03/13/2025 04:54 PM - Theja Ponon

05/03/2025
- File clipboard-202503131654-mkzua.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue FIXED

Collection

Collection has been Saved.

Master | Status  Note

SBM/002
CUS002:: Customer A
Al
Al
Weeldy{Mon-Sun)
27/01/2025 - 02/02/2025
Within Next Fortnight Based On Submission Date
27/02/2025
0
27/02/2025

14

X B Update

L3
Attachment.

Doc N Date*
ocNo | CLN/003 ate” | 01/01/0001 en Submission Doc
Branch” | BROOT: Main v
Customer
Department” =
epartment” | DPQO1:: Account v Branch
Reference Department
Narration | asfsf ) TSt
Status o Bill Period
Posting Status® | Active v By =TS
Payment Date
Responsible User = Due Date™ | qg =] g
Grace Days
Penalty Amount n QAR | @ | 0,00
Due Date
Created By:  Administrator(13/03/2025 04:50 PM)
Over Due Days
Modified By:
Currency
Document Due Amount
Current Due Amount
Documents
Group By | No Grouping v | & seto
Date Doc No Ticket/Voucher Amount (Dr) Outstanding Current Outstanding Penalty Amount Over Due Days
02/02/2025  INV/006 T*03 100000 100000 1000.00 000 13
Total QAR 1000.00 QAR 1000.00 QAR 1000.00 QAR 0.00

#34 - 03/13/2025 06:27 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#35 - 03/14/2025 03:41 PM - Theja Ponon
- File clipboard-202503141541-ay39b.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#36 - 03/14/2025 03:44 PM - Theja Ponon
- File clipboard-202503141544-fyz9f.png added

#37 - 03/14/2025 04:02 PM - Theja Ponon
- File clipboard-202503141552-72q6w.png added
- File clipboard-202503141601-fslem.png added

Issue Found

1)Incorrect value in total balance

05/03/2025

QAR
1000.00
1000.00

Showing Only Outstanding Debit

Balance  Reference Narration

1000.00 2 O s

QAR 1000.00
Travvise

Collection

Master
Doc No Date™ | 14/03/2025 Q0 T . Sem/004
franch? | BROO1:: Main ~ Customer CUS003:: Customer B
Department” | DPOOT: Account v — Al
Reference Department Al
Naration p Bill Submission Weekiy(Mon-Sun)
. Status - Bill Period 13/01/2025 - 19/01/2025
Posting Status” | Active v oy Payment Terms Within Next Fortnight Based On Submission Date
Responsible User - Due Dater a Payment Date 15/02/2025
Grace Days 0
Penalty Amountin QAR | @ 0.00
Due Date 15/02/2025
Created By Over Due Days 27
Ly Maodified By:
Currency QAR
Document Due Amount 3300.00
Current Due Amount 3300.00
. Documents Showing Only Outstanding Debit
n
Group By | No Grouping v | seto Y @ = I
Date Doc No Ticket/Voucher Amount (Dr) Outstanding | Current Outstanding Penalty Amount  Over Due Days Balance Reference Narration
14/01/2025 | INV/00B TS2112 10000 10000 10000 000 a 100,00 [ Ne] s
14/01/2025 | INV/00R vs 10000 10000 10000 000 a 20000 [ o) s
14/01/2025  INV/008 PKOZ22 1000.00 1000.00 1000.00 000 27 1200.00] [=7] D r
14/01/2025  INV/008 TKO6868 1000.00 1000.00 1000.00 000 27 2200.00 [=7] D i
14/01/2025 | INV/ODB HT23423 1000.00 1000.00 100000 000 27 320000 Q O ’
14/01/2025 | INV/008 oT4s643 100,00 10000 10000 000 2 330000 [o o) ’
Total QAR 3300.00 QAR 3300.00 QAR 3300.00 QAR 0.00 —oaRI2M000 ]
2)Incorrect value in balance when grouping
Dacuments Shawing Only Outstanding Debit
G| senicewise v | @ | se0 T a =
Date Doc No Ticket/Voucher Amount (Dr) Outstanding ~ Current Outstanding Penalty Amount  Over Due Days Balance | Reference Narration
~  Service: Air Ticket Service
14/01/2025 | INV/00B TKOGEES 1000.00 100000 1000.00 0.00 [ 2200.00 [* Y ®]
+ Service: Hotel Service -
14/01/2025 | INV/008 HT23423 1000.00 1000.00 1000.00 0.00 0 3200.00 9 O
~  Service: Other Service -
14/01/2025 | INV/008 OT45643 10000 10000 100.00 0.00 0 3300.00 [* N ®]
~  Service: Package Service
14/01/2025 | INV/00B PK022 1000.00 1000.00 1000.00 0.00 0 1200.00 o O
~  Service: Transfer Service
14/01/2025 | INV/008 TS2112 100.00 10000 100.00 0.00 0 100.00 o9 O
~  Service: Visa Service
14/01/2025 | INV/008 vs 100.00 10000 100.00 0.00 0 200,00 o O
e —

3)Invalid submission doc number error message showing when redirecting form overdue to collection by clicking collection icon
4)Error message on adding two submission doc number in Submission Doc and focus out
5)Submission doc removes on edit mode

Master  Status  Note
DocN Date”
ocNo | CLN/0D4 ate” | 14/03/2025 on Submission Doc
Branch® . o
BROO1:: Main Customer CUS003:: Customer B
Department™  DPQOT: Account hd Branch Al
Reference | dg Department Al
Narration  dfh y Bill Submission Weeldy(Men-Sun)
S “ il Period 13/01/2025 - 19/01/2025
Sosing et Active v gy Payment Terms. Within Next Fortnight Based On Submission Date
Payment Date 15/02/2025
Responsible User = Administrator Due Date® | 15/03/2025 Q. i
Grace Days 0
Penalty AmountIn GAR @ 0.00
Due Date 15/02/2025
Created By:  Administrator(14/03/2025 03:58 PM)

Over Due Days 27

Modified By: - Administrator{14/03/2025 03:59 PM)3]
Currency QAR
Document Due Amount 4300.00

6)Issue on reloading the collection after any of the debit amount is settled
7)Can save multiple collection doc by redirecting fro overdue incase of payment term based on transaction date

#38 - 03/19/2025 06:39 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#39 - 03/22/2025 03:26 PM - Theja Ponon
- File clipboard-202503221155-dc8km.png added
- File clipboard-202503221159-dez80.png added

05/03/2025 10/15



- File clipboard-202503221159-vy7il.png added
- File clipboard-202503221437-daely.png added
- File clipboard-202503221526-Igzah.png added

Issue Found

1)Typing incorrect value in submission doc no field and focus out value in the field is not clearing

2)Incorrect value in

Doc No
172025 INV/0O1
1/2025  INV/001
1/2025  INV/0O01

total balance

Ticket/Voucher
HvV/001
OT34636

Ts002

3)Bill period end date is wrong

Amount (Dr)
1000.00
1000.00

1000.00

QAR 3000.00

Outstanding

1000.00

1000.00

1000.00

QAR 3000.00

Group By No Grouping

Current Outstanding

1000.00

1000.00

1000.00

QAR 3000.00

~

SetQ

Penalty Amount Over Due Days Balance Referen
0.00 0 1000.00
0.00 0 2000.00
0.00 0 3000.00
QAR 0.00 QAR 6000.00

o Master  Status Note
Doc No
3
Branch®
It
Department™
Reference
It Narration
i Status.
L Posting Status”
N Responsible User -
Penalty Amount In QAR
Created By:
P Modified By:
ard
Date Doc No
02/01/2025  INV/001
02/01/2025  INV/001
02/01/2025  INV/001
Total

CLN/002
BROO1: Main

DPQ01:: Account

Active

Administrator(22/03/2025 02:22 PM)

000

Ticket/Voucher
TKT4334
HT3235

oT3534

Amount (D)
1000.00
1000.00

1000.00

QAR 3000.00

Date* | 32/03/2025

Due Date"

Outstanding
1000.00
1000.00

1000.00

QAR 3000.00

4)Cant do any updation after outstanding is 0

Collection

dd/MM/yyyy

Group By No Grouping ~

Current Outstanding
000
0.00

000

QAR 0.00

Penalty Amount
000
0.00

000

QAR 0.00

Submission Doe
Customer

Branch

Department

Bil Submission

Bil Period

Payment Terms
Payment Date

Grace Days

Due Date

Over Due Days
Currency

Document Due Amount

Current Due Amount

Documents
< seto

Over Due Days
0
o

0

CUS001:: Customer A

Al

Al

Fortnight

01/01/2025 - 14/01/2025
Within Next 3 Weeks and 1 Days Based On Transaction Date
09/02/2025

0

09/02/2025

41

QAR

3000.00

0.00

Showing Only Outstanding Debit

T Q
Balance | Reference Narration
1000.00 2 O
2000.00 QO
3000.00 QO
QAR 6000.00

B Due Amount is Required.
- Master  Status  Note
t Doc No
Branch™
Department™
- P
Reference
hfo
Narration

Status

Posting Status™
Responsible User ~
Penalty Amount In QAR

Created By:
Modified By:

Date Doc No
02/01/2025 | INV/001
02/01/2025 | INV/001
02/01/2025 | INV/001

#40 - 03/25/2025 06:01 PM - Theja Ponon

CLN/002
BROO1: Main
DP0OT: Account
ghig

higj

Active

8 o

Administrator(22/03/2025 02:22 PM)

Administrator(22/03/2025 03:10 PM)[1]

Ticket/Voucher
TKT4334
HT3235

oT3534

Amount (Dr)
1000.00
1000.00

1000.00

Date”

Due Date™

Outstanding
000
000

0.00

- File clipboard-202503251416-xuegp.png added

22/03/2025

dd/MM/yyyy

GroupBy | Na Grouping

Current Outstanding

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

05/03/2025

Penalty Am,

Submission Doc
Customer

Branch

Department

Bill Submission

Bill Period

Poyment Terms
Payment Date

Grace Days

Due Date

Over Due Days
Currency

Document Due Amount

Current Due Amount

Documents
v || & set0
ount | Over Due Days
000 0
000 0
000 0

CUS001:: Customer A

Al

Al

Fortnight

01/01/2025 - 14/01/2025

Within Next 3 Weeks and 1 Days Based On Transaction Date
09/02/2025

]

09/02/2025

41

Showing Only Outstanding Debit

EENnEN

T Q 2 B

Balance ~Reference Narration
0.00 D O r
0.00 o O i
000 [~ Nel I

11/15



- % Done changed from 70 to 50

Issue FIXED

1)Overdue days are not showing
Travvise

Collection

Master | Status  Note
Doc N Date”
ocNo | CLN/OO1 ate” | 25/03/2025 o6 Submission Dac
Branch™ . v
BROO1:: Main Customer CUS002:: Customer B
Department* "
epartment” | DPOQ1:: Account v Branch Al
Reference Department All
Narration y Bill Submission Weekly(Sun-Sat)
Status v Bill Period 29/12/2024 - 04/01/2025
Posting Status* | pctive o oy Payment Terms Within Next Month and 1 Days Based On Transaction Date
Payment Date 01/03/2025
Responsible User = Due Date™ | /MM fyyyy ] v
Grace Days 0
i Penalty Amount In QAR 000
Due Date 01/03/2025
Created By:  Administrator(25/03/2025 02:14 PM)
Over Due Days 2
Modified By:
Currency QAR
Document Due Amount 1000.00
d
Current Due Amount 1000.00
Documents Showing Only Qutstanding Debit
] Documen Group By | No Grouping v | & | set0 Q
Date Doc No Ticket/Voucher Amount (D) Outstanding  Current Outstanding Penalty Amount | Over Due Days Balance Reference Narration
01/01/2025 | INV/002 TKT34534 100000 100000 100000 000 0 1000.00 2 O

Collection has been Saved.

#41 - 03/28/2025 09:27 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#42 - 03/29/2025 10:18 AM - Theja Ponon

- File clipboard-202503291016-v6rb4.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue FIXED

Travvise

Collection

Ml Master Status Note
Doc N Date™
ocNo | CLN/OO1 ate” | 29/03/2025 o0 Submission Doc
Branch " -
BROO1: Main Customer CUS002:: Customer A
Departr t =
epartment™ | DPOO1:: Account v R Al
Reference Department Al
Narration ) Bill Submission Quarterdy
o Status o Bil Period 01/01/2025 - 31/03/2025
Fosting St | Active . Payment Terms Within Next Fortnight and 1 Days Based On Transaction Date
Payment Date 16/04/2025
Responsible User ~ Due Date" | dd/MMiyyyy ] &
Grace Days 0
Penaity Amount In QAR 000
Due Date 16/04/2025
Created By: Administrator(29/03/2025 10:14 AM)
. Over Due Days 0
£ Modified By: ~ Administrator(20/03/2025 10:14 AM)[1]
Currency QAR
Document Due Amount 2000.00
Current Due Amount 2000.00
L Documents Showing Only Outstanding Debit
tion P Documents Group By | Module Wise v g seto Y Q &
Date Doc No Ticket/Voucher ‘Amount (Dr) Outstanding Current Outstanding Penalty Amount ‘Over Due Days Balance  Reference Narration
- Module: SALE
29/03/2025 | INV/001 TKT453 1000.00 1000.00 1000.00 000 0 1000.00 [=%
20/03/2025  INV/001 TKT453 1000.00 1000.00 1000.00 000 o 2000.00 =Y
Total QAR 2000.00 QAR 2000.00 QAR 2000.00 QAR 0.00 QAR 3000.00

#43 - 04/01/2025 10:51 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

05/03/2025

12/15




- % Done changed from 50 to 70

#44 - 04/03/2025 12:35 PM - Arathy PS

- File clipboard-202504031233-Ivgdl.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. Incorrect total balance.
Travvise Collection

Master
Doc N Date”
oc No ate™ | 03/04/2025 Q. -
Branch™ ~
Customer CUS002:: ANMOL AARIF SAID
Department” v
Branch Al
Reference Department Al
Narration Bill Submission Monthly/Month
4
3 Status o il Period 01/04/2025 - 30/04/2025
Posting Status” | active vy Payment Terms Within Next Fortnight Based On Transaction Date
Payment Date 15/05/2025
Responsible User ~ Due Date” | dd/MM/yyyy =] E
Grace Days 0
Penalty Amount In QAR 000
Due Date 15/05/2025
Created By:
Over Due Days 0
i Modified By:
Currency QAR
Document Due Amount 2150.00
Current Due Amount 2150.00
e Documents STOWHTg Oy iing Debit
GroupBY | No Grouping v 2 seto Y a 2 I
Date Doc No Ticket/Voucher Amount (Dr) Outstanding Current Outstanding Penalty Amount Over Due Dafs Balance Reference Narration
03/04/2025 | INV/004 1100 115000 1150.00 115000 000 o 115000 = 'e} s
03/04/2025  INV/004 0s/002 1000.00 1000.00 1000.00 000 o 215000 Q O s,
Total QAR 2150.00 QAR 2150.00 QAR 2150.00 QAR 0.00 QAR 3300.00

#45 - 04/03/2025 06:15 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#46 - 04/07/2025 11:31 AM - Theja Ponon
- File clipboard-202504071050-gnxdm.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue FIXED

1)Overdue days in the grid is wrong.

05/03/2025 13/15



Master  Status  Note

DocNo | CLN/001 Date® | 07/04/2025 O G
Branch” | BROOT: Main = cust
ustomer
Department™  DPOO1: Account s

Branch

Department

Bill Submission

Status - Bl Period
Posting Status®  Active v By Payment Terms
Responsible User - DueDate” | 4 Ir]
Penalty Amount In QAR 000
Created By:  Admi

Modified By: - Adminis {07/04/2025 10:47 AM)[1]

Currency

Document Due Amount.

Current Due Amount
Documents
Greup By Service Wise v 2 Set0
Date Doc No Ticket/Voucher Amount (Dr) Outstanding  Current Outstanding Penalty Amount | Over Due Days
~  Service: Air Ticket Service
07/02/2025 | INV/007 TKT6757 1000.00 1000.00 100000 0.00 1
N
~  Service: Hotel Service
07/02/2025 | INV/007 HT0001 1000.00 1000.00 100000 0.00 1
~  Service: Other Service
07/02/2025 | INV/007 OT465 1000.00 1000.00 1000.00 0.00 1

2)Bill period showing is incorrect.

#47 - 04/07/2025 02:27 PM - Arathy PS
ISSUE FIXED

1. Set Penalty is not showing.
2. Workflow with set collection status-- not connected--discuss with anil

#48 - 04/08/2025 03:57 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#49 - 04/29/2025 12:57 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. When multiple currencies are used, collection should be separate for each currency.

#50 - 04/30/2025 09:39 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

CUS002:: Customer A

Al

Al

Weeldy(Fri-Thu)

07/02/2025 - 11/02/2025

Within Next Month Based On Transaction Date
31/03/2025

0

31/03/2025

3

QAR

3000.00

3000.00

Showing Only Outstanding Debit

Balance = Reference Narration

100000

200000

300000

B Update

Posti
A
Attachment
clipboard-202411081026-k2jap.png 44.5 KB 11/08/2024 Theja Ponon
clipboard-202502261615-mkmpb.png 129 KB 02/26/2025 Theja Ponon
clipboard-202502261624-116g1.png 170 KB 02/26/2025 Theja Ponon
clipboard-202502281130-xaam2.png 110 KB 02/28/2025 Arathy PS
clipboard-202503101152-z1mtq.png 138 KB 03/10/2025 Arathy PS
clipboard-202503131654-mkzua.png 156 KB 03/13/2025 Theja Ponon

05/03/2025

14/15



clipboard-202503141541-ay39b.png
clipboard-202503141544-fyz9f.png
clipboard-202503141552-72g6w.png
clipboard-202503141601-fslem.png
clipboard-202503221155-dc8km.png
clipboard-202503221159-dez80.png
clipboard-202503221159-vy7il.png
clipboard-202503221437-daely.png
clipboard-202503221526-Igzah.png
clipboard-202503251416-xuegp.png
clipboard-202503291016-v6rb4.png
clipboard-202504031233-lvgdl.png
clipboard-202504071050-gnxdm.png

05/03/2025

163 KB
68.2 KB
140 KB
52.4 KB
27.6 KB
104 KB
158 KB
144 KB
149 KB
120 KB
164 KB
144 KB
159 KB

03/14/2025
03/14/2025
03/14/2025
03/14/2025
03/22/2025
03/22/2025
03/22/2025
03/22/2025
03/22/2025
03/25/2025
03/29/2025
04/03/2025
04/07/2025

Theja Ponon
Theja Ponon
Theja Ponon
Theja Ponon
Theja Ponon
Theja Ponon
Theja Ponon
Theja Ponon
Theja Ponon
Theja Ponon
Theja Ponon

Arathy PS
Theja Ponon

15/15


http://www.tcpdf.org

